Module javafx.graphics
Package javafx.css.converter

## Class FontConverter.FontStyleConverter

- java.lang.Object
- - javafx.css.StyleConverter<String,​FontPosture>
  - - javafx.css.converter.FontConverter.FontStyleConverter

- Enclosing class:
    FontConverter

      public static final class FontConverter.FontStyleConverter
      extends StyleConverter<String,​FontPosture>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javafx.css.StyleConverter

      `StyleConverter.StringStore`

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `FontPosture` | `convert​(ParsedValue<String,​FontPosture> value, Font font)` | Convert from the parsed CSS value to the target property type.
    `static FontConverter.FontStyleConverter` | `getInstance()` |
    `String` | `toString()` |

    - ### Methods inherited from class javafx.css.StyleConverter

      `cacheValue, clearCache, convert, getBooleanConverter, getCachedValue, getColorConverter, getDurationConverter, getEffectConverter, getEnumConverter, getFontConverter, getInsetsConverter, getPaintConverter, getSizeConverter, getStringConverter, getUrlConverter, readBinary, writeBinary`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static FontConverter.FontStyleConverter getInstance()

    - #### convert

          public FontPosture convert​(ParsedValue<String,​FontPosture> value,
                                     Font font)

      Description copied from class: `StyleConverter`
      Convert from the parsed CSS value to the target property type.
      Overrides:
        `convert` in class `StyleConverter<String,​FontPosture>`
      Parameters:
        `value` - The `ParsedValue` to convert
        `font` - The `Font` to use when converting a relative value.
      Returns:
        the converted target property type

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`